from pydantic import BaseModel
from schemas.user import UserOut


class LoginRequest(BaseModel):
    username: str
    pin: str


class TokenResponse(BaseModel):
    access_token: str
    user: UserOut
